#ifndef EXPORT_H
#define EXPORT_H

#define EXPORT( To ) static void is_exported( To & ) { }

//namespace MM
//{

template< class Interface, class From, class To >
Interface & export( From & from, To & to )
{
    #pragma warning( push )
    #if defined WIN32
    #pragma warning( disable : 4243 )
    #endif

    Interface::is_exported( to );
    return ( Interface & )( from );

    #pragma warning( pop )
}

//}//MM

#endif//EXPORT_H
